<?php

header('Content-Type: application/json');

include('../../../php/conn.php');

switch ($_POST["accion"]) {

  case 'obtenerTokensDisponibles':

    // Obtiene la lista de Tokens asignados -----------------
    // ------------------------------------------------------
    $notin = "";

    if ($res = mysqli_query($enlace, "SELECT cod_token FROM tb_usuario_survey WHERE cod_survey = '".$_POST["codigo"]."'"))
    {
      while($row = mysqli_fetch_array($res))
      {
        $notin .= "'".$row["cod_token"]."', ";
      }

      $notin = substr($notin, 0, -2);
    }

    if (strlen($notin) == 0)
    {
      $notin = "''";
    }
    // ------------------------------------------------------

    // if ($res = mysqli_query($enlace, "SELECT COUNT(*) AS numero FROM lime_tokens_".$_POST["codigo"]." WHERE tid NOT IN(SELECT cod_token FROM tb_usuario_survey WHERE cod_survey=".$_POST["codigo"].");")) {

    if ($res = mysqli_query($enlacehost, "SELECT COUNT(*) AS numero FROM lime_tokens_".$_POST["codigo"]." WHERE completed = 'N' AND tid NOT IN(".$notin.");")) {

      if (mysqli_num_rows($res) > 0) {

        while($row = mysqli_fetch_assoc($res)) {

          echo $row["numero"];

        }

      }

    }

    break;

  case 'listarEncuestas':
    $r = array();

    // if ($res = mysqli_query($enlace, "SELECT cod_survey, surveyls_title, COUNT(cod_survey) AS cant FROM tb_usuario_survey AS s INNER JOIN lime_surveys_languagesettings AS l ON s.cod_survey=l.surveyls_survey_id WHERE cod_usuario=".$_POST["usuario"]." GROUP BY cod_survey;")) {

    if ($res = mysqli_query($enlace, "SELECT cod_survey, surveyls_title, COUNT(cod_survey) AS cant FROM tb_usuario_survey AS s INNER JOIN lime_surveys_languagesettings AS l ON s.cod_survey=l.surveyls_survey_id WHERE cod_usuario=".$_POST["usuario"]." GROUP BY cod_survey;")) {
      
      if (mysqli_num_rows($res) > 0) {
        
        while($row = mysqli_fetch_assoc($res)) {
          
          array_push($r, $row);

        }
        
        echo json_encode(array('estado' => 1, 'registros' => $r));

      }

      else{

        echo json_encode(array('estado' => 0));

      }

    }

    break;

  case 'cargaFilter2':
    $r = array();

    // if ($res = mysqli_query($enlace, "SELECT cod_survey, surveyls_title, COUNT(cod_survey) AS cant FROM tb_usuario_survey AS s INNER JOIN lime_surveys_languagesettings AS l ON s.cod_survey=l.surveyls_survey_id WHERE cod_usuario=".$_POST["usuario"]." GROUP BY cod_survey;")) {

    if ($res = mysqli_query($enlace, "SELECT territorio FROM tb_resultados_prueba1 WHERE territorio1 = '".$_POST["filter1"]."'GROUP BY TERRITORIO")) {
      
      if (mysqli_num_rows($res) > 0) {
        
        while($row = mysqli_fetch_assoc($res)) {
          
          array_push($r, $row);

        }
        
        echo json_encode(array('estado' => 1, 'registros' => $r));

      }

      else{

        echo json_encode(array('estado' => 0));

      }

    }

    break;

  case 'cargaEncuestas':
    $r = array();

    // Cambiando el idioma del servidor
    $query = "SET lc_time_names = 'es_PE';";

    if ($res = mysqli_query($enlace, $query)) {
    }

    $query = "SELECT cod_encuesta, nom_encuesta, tabla_encuesta FROM tb_encuesta WHERE cod_cliente = ".$_POST["cliente"]." ORDER BY orden_encuesta";

    if ($res = mysqli_query($enlace, $query)) {
      
      if (mysqli_num_rows($res) > 0) {
        
        while($row = mysqli_fetch_assoc($res)) {
          
          array_push($r, $row);

        }
        
        echo json_encode(array('estado' => 1, 'registros' => $r));

      }

      else{

        echo json_encode(array('estado' => 0));

      }

    }

    break;

  case 'cargaAnhos':
    $r = array();

    // Cambiando el idioma del servidor
    $query = "SET lc_time_names = 'es_PE';";

    if ($res = mysqli_query($enlace, $query)) {
    }

    // Si no tiene nombre de tabla es porque se trata de la primera carga de la página
    // Se debe buscar el nombre de la tabla de forma manual
    if ($_POST["nom_tabla"] == "xxx"){
      if ($res = mysqli_query($enlace, "SELECT tabla_encuesta FROM tb_encuesta WHERE cod_cliente = ".$_POST["cliente"]." ORDER BY orden_encuesta LIMIT 1")){
        while($row = mysqli_fetch_array($res))
        {
          $nom_tabla = $row["tabla_encuesta"];
        };
      }
    }
    else{
      $nom_tabla = $_POST["nom_tabla"];
    }

    //$nom_tabla = 'tb_resultados_prueba1';

    $query = "SELECT YEAR(submitdate) AS Anho FROM ".$nom_tabla." WHERE submitdate IS NOT NULL GROUP BY YEAR(submitdate)";

    // if ($res = mysqli_query($enlacehost, $query)) {
    if ($res = mysqli_query($enlace, $query)) {
      
      if (mysqli_num_rows($res) > 0) {
        
        while($row = mysqli_fetch_assoc($res)) {
          
          array_push($r, $row);

        }
        
        echo json_encode(array('estado' => 1, 'registros' => $r));

      }

      else{

        echo json_encode(array('estado' => 0));

      }

    }

    break;

  case 'cargaMeses':
    $r = array();

    // Cambiando el idioma del servidor
    $query = "SET lc_time_names = 'es_PE';";

    if ($res = mysqli_query($enlace, $query)) {
    }

    // Si no tiene el valor del Año es porque se trata de la primera carga de la página
    if ($_POST["anho"] == "xxx"){
      // Se debe buscar el nombre de la tabla de forma manual
      if ($res = mysqli_query($enlace, "SELECT tabla_encuesta FROM tb_encuesta WHERE cod_cliente = ".$_POST["cliente"]." ORDER BY orden_encuesta LIMIT 1")){
        while($row = mysqli_fetch_array($res))
        {
          $nom_tabla = $row["tabla_encuesta"];
        };
      }

      // Se debe buscar el año de forma manual
      if ($res = mysqli_query($enlace, "SELECT YEAR(submitdate) AS Anho FROM ".$nom_tabla." WHERE submitdate IS NOT NULL GROUP BY YEAR(submitdate) ORDER BY YEAR(submitdate) DESC LIMIT 1")){
        while($row = mysqli_fetch_array($res))
        {
          $anho = $row["Anho"];
        };
      }
    }
    else{
      $nom_tabla = $_POST["tabla"];
      $anho = $_POST["anho"];
    }

    $query = "SELECT T.cod_mes, (SELECT M.nom_mes FROM tb_mes M WHERE M.cod_mes = T.cod_mes) AS nom_mes FROM ".$nom_tabla." T WHERE submitdate IS NOT NULL AND T.cod_anho = ".$anho." GROUP BY T.cod_anho, T.cod_mes ORDER BY 1 DESC";

    // if ($res = mysqli_query($enlacehost, $query)) {
    if ($res = mysqli_query($enlace, $query)) {
      
      if (mysqli_num_rows($res) > 0) {
        
        while($row = mysqli_fetch_assoc($res)) {
          
          array_push($r, $row);

        }
        
        echo json_encode(array('estado' => 1, 'registros' => $r));

      }

      else{

        echo json_encode(array('estado' => 0));

      }

    }

    break;

    case 'echartCabecera':
    $r = array();

    // Cambiando el idioma del servidor
    $query = "SET lc_time_names = 'es_PE';";

    if ($res = mysqli_query($enlace, $query)) {
    }

    $query = "SELECT cod_tipopresentacion, cod_grupoindicador, origen_crucedatos, origen_componente, componente_criteriodatos, presentacion_orden, presentacion_titulo FROM tb_Indicadores_Presentacion WHERE cod_encuesta = '".$_GET["_cod_encuesta"]."' AND presentacion_orden = ".$_GET["orden"]." ORDER BY presentacion_orden";

    if ($res = mysqli_query($enlace, $query)) {
      
      if (mysqli_num_rows($res) > 0) {
        
        while($row = mysqli_fetch_assoc($res)) {
          
          array_push($r, $row);

        }
        
        echo json_encode(array('estado' => 1, 'registros' => $r));

      }

      else{

        echo json_encode(array('estado' => 0));

      }

    }

    break;

  case 'filtrosDinamicos_Cabecera':
    $r = array();

    // Cambiando el idioma del servidor
    $query = "SET lc_time_names = 'es_PE';";

    if ($res = mysqli_query($enlace, $query)) {
    }

    $query = "SELECT id, cod_pregunta, where_pregunta, etiqueta_pregunta, filtro_padre, where_pregunta_hijo FROM tb_config_FiltrosReporteria WHERE cod_encuesta = '".$_POST["cod_encuesta"]."' ORDER BY orden_filtro";

    if ($res = mysqli_query($enlace, $query)) {
      
      if (mysqli_num_rows($res) > 0) {
        
        while($row = mysqli_fetch_assoc($res)) {
          
          array_push($r, $row);

        }
        
        echo json_encode(array('estado' => 1, 'registros' => $r));

      }

      else{

        echo json_encode(array('estado' => 0));

      }

    }

    break;

  case 'filtrosDinamicos_Detalle':
    $r = array();

    // Cambiando el idioma del servidor
    $query = "SET lc_time_names = 'es_PE';";

    if ($res = mysqli_query($enlace, $query)) {
    }

    // $query = "SELECT valor_filtro, etiqueta_filtro FROM tb_config_FiltrosEtiquetas WHERE cod_filtro = '".$_POST["cod_filtro"]."' ORDER BY etiqueta_orden";
    $query = "SELECT valor_filtro, etiqueta_filtro FROM tb_config_FiltrosEtiquetas WHERE cod_filtro = 5 ORDER BY etiqueta_orden";

    if ($res = mysqli_query($enlace, $query)) {
      
      if (mysqli_num_rows($res) > 0) {
        
        while($row = mysqli_fetch_assoc($res)) {
          
          array_push($r, $row);

        }
        
        echo json_encode(array('estado' => 1, 'registros' => $r));

      }

      else{

        echo json_encode(array('estado' => 0));

      }

    }

    break;

  default:

    # code...

    break;

}

?>